package emps.v3_funkcyjnie;

import java.util.Comparator;
import java.util.List;

public class P6_MinMax {

	public static void main(String[] args) {
		List<Employee> emps = ObslugaCSV.wczytaj("emps.csv");
		Comparator<Employee> waga = Comparator.comparingInt(Employee::getSalary);

		// uwaga - tu trochę upraszczamy; zakładam, że dane w pliku na pewno są - inne wersje w przykładach Opcjonalne???
		Employee min = emps.stream().min(waga).orElse(null);
		Employee max = emps.stream().max(waga).orElse(null);
		
		System.out.println("min: " + min);
		System.out.println("max: " + max);
	}

}
